Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.script.xml
Class XStreamComponentInstanceFactoryTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.nanocontainer.script.xml.XStreamComponentInstanceFactoryTestCase

All Implemented Interfaces:
  junit.framework.Test

    public class XStreamComponentInstanceFactoryTestCase

extends junit.framework.TestCase

Author:
  Paul Hammant, Marcos Tarruella

Constructor Summary
`XStreamComponentInstanceFactoryTestCase()`

Method Summary
`void` | `runDeserializationTest(org.nanocontainer.script.xml.XMLComponentInstanceFactory factory)`
`void` | `testDeserializationInEncancedMode()`
`void` | `testDeserializationInPureJavaMode()`
`void` | `testDeserializationWithDefaultMode()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XStreamComponentInstanceFactoryTestCase

    public XStreamComponentInstanceFactoryTestCase()

Method Detail

### testDeserializationWithDefaultMode

    public void testDeserializationWithDefaultMode()
                                            throws ParserConfigurationException,
                                                   IOException,
                                                   SAXException,
                                                   ClassNotFoundException

  Throws:
    `ParserConfigurationException`
    `IOException`
    `SAXException`
    `ClassNotFoundException`

### testDeserializationInEncancedMode

    public void testDeserializationInEncancedMode()
                                           throws ParserConfigurationException,
                                                  IOException,
                                                  SAXException,
                                                  ClassNotFoundException

  Throws:
    `ParserConfigurationException`
    `IOException`
    `SAXException`
    `ClassNotFoundException`

### testDeserializationInPureJavaMode

    public void testDeserializationInPureJavaMode()
                                           throws ParserConfigurationException,
                                                  IOException,
                                                  SAXException,
                                                  ClassNotFoundException

  Throws:
    `ParserConfigurationException`
    `IOException`
    `SAXException`
    `ClassNotFoundException`

### runDeserializationTest

    public void runDeserializationTest(org.nanocontainer.script.xml.XMLComponentInstanceFactory factory)
                                throws ParserConfigurationException,
                                       IOException,
                                       SAXException,
                                       ClassNotFoundException

  Throws:
    `ParserConfigurationException`
    `IOException`
    `SAXException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.